crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.Camellia

Description

Camellia support. only 128 bit variant available for now.

Synopsis

- data Camellia128

# Documentation

data Camellia128 #

Camellia block cipher with 128 bit key

#### Instances

Instances details

Cipher Camellia128 # |
Instance details Defined in Crypto.Cipher.Camellia Methods cipherInit :: ByteArray key => key -> CryptoFailable Camellia128 # cipherName :: Camellia128 -> String # cipherKeySize :: Camellia128 -> KeySizeSpecifier #
BlockCipher Camellia128 # |

Instance details

Defined in Crypto.Cipher.Camellia

Methods

blockSize :: Camellia128 -> Int #

ecbEncrypt :: ByteArray ba => Camellia128 -> ba -> ba #

ecbDecrypt :: ByteArray ba => Camellia128 -> ba -> ba #

cbcEncrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba #

cbcDecrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba #

cfbEncrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba #

cfbDecrypt :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba #

ctrCombine :: ByteArray ba => Camellia128 -> IV Camellia128 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> Camellia128 -> iv -> CryptoFailable (AEAD Camellia128) #